## monodevelop-debugger-gdb 3.0.2

=== Makefile ===

EXTRA_DIST = MonoDevelop.Debugger.Gdb.make rules.make configure Makefile.include

all: all-recursive

top_srcdir=.
include $(top_srcdir)/config.make
include $(top_srcdir)/Makefile.include
include $(top_srcdir)/rules.make

#include $(top_srcdir)/custom-hooks.make

#Warning: This is an automatically generated file, do not edit!
ifeq ($(CONFIG),DEBUG)
 SUBDIRS =  . 
endif
ifeq ($(CONFIG),RELEASE)
 SUBDIRS =  . 
endif

# Include project specific makefile
include MonoDevelop.Debugger.Gdb.make

CONFIG_MAKE=$(top_srcdir)/config.make

%-recursive: $(CONFIG_MAKE)
	@set . $$MAKEFLAGS; final_exit=:; \
	case $$2 in --unix) shift ;; esac; \
	case $$2 in *=*) dk="exit 1" ;; *k*) dk=: ;; *) dk="exit 1" ;; esac; \
	make pre-$*-hook prefix=$(prefix) ; \
	for dir in $(call quote_each,$(SUBDIRS)); do \
		case "$$dir" in \
		.) make $*-local || { final_exit="exit 1"; $$dk; };;\
		*) (cd "$$dir" && make $*) || { final_exit="exit 1"; $$dk; };;\
		esac \
	done; \
	make post-$*-hook prefix=$(prefix) ; \
	$$final_exit

$(CONFIG_MAKE):
	echo "You must run configure first"
	exit 1

clean: clean-recursive
install: install-recursive
uninstall: uninstall-recursive

dist: $(CONFIG_MAKE)
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	make pre-dist-hook distdir=$$distdir
	for dir in $(call quote_each,$(SUBDIRS)); do \
		pkgdir=`pwd`/$(PACKAGE)-$(VERSION); \
		mkdir "$$pkgdir/$$dir" || true; \
		case $$dir in \
		.) make dist-local "distdir=$$pkgdir" || exit 1;; \
		*) (cd "$$dir"; make dist-local "distdir=$$pkgdir/$$dir") || exit 1;; \
		esac \
	done
	(make dist-local distdir=$(PACKAGE)-$(VERSION))
	make post-dist-hook "distsir=$$distdir"
	tar czvf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -rf $(PACKAGE)-$(VERSION)
	@echo "=========================================="
	@echo "$(PACKAGE)-$(VERSION) has been packaged > $(PACKAGE)-$(VERSION).tar.gz"
	@echo "=========================================="

distcheck: dist
	(mkdir test; cd test;  \
	tar xzvf ../$(PACKAGE)-$(VERSION).tar.gz; cd $(PACKAGE)-$(VERSION); \
	./configure --prefix=$$(cd `pwd`/..; pwd); \
	make && make install && make dist);
	rm -rf test

## monodevelop-debugger-gdb 2.5.92

=== debian/changelog ===
monodevelop-debugger-gdb (2.5.92-1) experimental; urgency=low

  * [4b08afd] Update debian/gbp.conf to use upstream-experimental branch
  * [9ec67a2] Imported Upstream version 2.5.92
  * [a92cae2] Refreshed debian/patches/use_csc_compiler.patch.
  * [9a1331c] Don't repack git-orig-source tarball.
  * [bab354e] Move from standalone Quilt to DebSrc 3.0 (quilt).
  * [ee56d2e] Bump Debian Standards Version to 3.9.2.
  * [42c54a3] Bump build-dependencies.

 -- Jo Shields <directhex@apebox.org>  Tue, 28 Jun 2011 23:16:00 +0100

monodevelop-debugger-gdb (2.4-4) experimental; urgency=low

  * [2f2d702] Add a gbp.conf since we're building on a non-default
    branch
  * [014d24e] Refresh packaging to make better use of DH7 abilities,
    especially "--with-quilt"
  * [aafd909] Bump the version number of MonoDevelop required by this
    package to 2.4.1
  * [b5f8d57] Add correct version number on Quilt build-depends, to
    avoid Lintian autoreject

 -- Jo Shields <directhex@apebox.org>  Sat, 18 Dec 2010 15:01:27 +0000

monodevelop-debugger-gdb (2.4-3) unstable; urgency=low

  * Rebuild against MonoDevelop 2.4+dfsg-3, due to a bug in the MonoDevelop
    build system which broke the debugger ABI with every rebuild.

 -- Jo Shields <directhex@apebox.org>  Tue, 14 Sep 2010 22:06:59 +0100

monodevelop-debugger-gdb (2.4-2) unstable; urgency=low

  * Add myself to Uploaders.

 -- Jo Shields <directhex@apebox.org>  Mon, 13 Sep 2010 18:03:54 +0100

monodevelop-debugger-gdb (2.4-1) experimental; urgency=low

  * New upstream release
  * debian/source/format:
    + Force DebSrc 1.0
  * debian/control:
    + Bump build-dep to MonoDevelop 2.4
  * debian/rules:
    + Set MDVERSION to 2.4, for binary dependency
    + Set CSC to mono-csc
  * debian/patches/use_csc_compiler.patch:
    + Refreshed

 -- Jo Shields <directhex@apebox.org>  Wed, 16 Jun 2010 23:46:22 +0100

monodevelop-debugger-gdb (2.2.1-2) unstable; urgency=low

  * Rebuild against MonoDevelop 2.2.2
  * debian/control:
    + Bump MonoDevelop build-dep to 2.2.2
  * debian/rules,
    debian/control:
    + Fiddle build system to put binary-dependencies on MD 2.2.2

 -- Jo Shields <directhex@apebox.org>  Thu, 10 Jun 2010 10:21:40 +0100

monodevelop-debugger-gdb (2.2.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Bump Standards to 3.8.4 (no changes needed)
    + Bump MonoDevelop build-dep to 2.2.1

 -- Jo Shields <directhex@apebox.org>  Fri, 12 Feb 2010 16:31:04 +0000

monodevelop-debugger-gdb (2.2-1) unstable; urgency=low

  * New upstream release

 -- Jo Shields <directhex@apebox.org>  Mon, 11 Jan 2010 15:23:18 +0000

monodevelop-debugger-gdb (2.1.1-1) unstable; urgency=low

  * New upstream release

  * debian/control:
    + Bumped Standards-Version to 3.8.3 (no changes needed)
    + Changed Section to cli-mono to match archive overrides.
    + Bumped mono-devel build-dep to >= 2.4.2.3
    + Added monodevelop-versioncontrol and -nunit to build-deps.
  * debian/patches/use_csc_compiler.patch:
    + Use mono-csc as compiler.

 -- Mirco Bauer <meebey@debian.org>  Sun, 25 Oct 2009 17:38:17 +0100

monodevelop-debugger-gdb (2.0-1) unstable; urgency=low

  [ Jo Shields ]
  * New Upstream Version

  [ Iain Lane ]
  * Bump MD build-dep per configure

 -- Jo Shields <directhex@apebox.org>  Tue, 07 Apr 2009 22:17:27 +0100

monodevelop-debugger-gdb (1.9.3-1) unstable; urgency=low

  * New upstream (bugfix) release
  * Upload to unstable
  * debian/control:
    + Fixed Vcs-* URLs.
    + Bumped monodevelop build-deps to >= 1.9.3
    + Bumped Standards-Version to 3.8.1 (no changes needed)
    + Tighten binary dependency on monodevelop, to ensure the plugin is only
      installed using the same monodevelop version, as the plugins are not
      forward compatible.
  * debian/watch:
    + Updated to use directory of ftp/http download server.

 -- Mirco Bauer <meebey@debian.org>  Sun, 22 Mar 2009 22:26:37 +0100

monodevelop-debugger-gdb (1.9.2-1) experimental; urgency=low

  * Initial release. (Closes: #516435)

 -- Mirco Bauer <meebey@debian.org>  Sun, 15 Feb 2009 22:32:12 +0100

=== debian/control ===
Source: monodevelop-debugger-gdb
Section: cli-mono
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: cli-common-dev (>= 0.8~),
 mono-devel (>= 2.10),
 monodevelop (>= 2.5.92),
 monodevelop-versioncontrol (>= 2.5.92),
 monodevelop-nunit (>= 2.5.92)
Standards-Version: 3.9.2
Homepage: http://www.monodevelop.com/
Vcs-Git: git://git.debian.org/git/pkg-cli-apps/monodevelop-debugger-gdb.git
Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/monodevelop-debugger-gdb.git

Package: monodevelop-debugger-gdb
Architecture: all
Enhances: gdb
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         monodevelop (>= ${misc:Version}),
         monodevelop (<< ${misc:Version}.),
         gdb
Description: GNU Debugger plugin for MonoDevelop
 MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
 languages.
 .
 This package enables the GNU Debugger integration for MonoDevelop.

=== debian/watch ===
version=2
opts=dversionmangle=s/\+dfsg// \
	http://ftp.novell.com/pub/mono/sources/monodevelop-debugger-gdb/monodevelop-debugger-gdb-([\d\.]+)\.tar\.bz2

## monodevelop-debugger-gdb 2.6

=== debian/changelog ===
monodevelop-debugger-gdb (2.6-1) experimental; urgency=low

  * [e6f6146] Update debian/watch for Xamarin-hosted source.
  * [917edb6] Imported Upstream version 2.6
  * [e7b5297] Bump build dependancies

 -- Jo Shields <directhex@apebox.org>  Mon, 12 Sep 2011 17:40:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
  mono-devel (>= 2.10),
- monodevelop (>= 2.5.92),
- monodevelop-versioncontrol (>= 2.5.92),
- monodevelop-nunit (>= 2.5.92)
+ monodevelop (>= 2.6),
+ monodevelop-versioncontrol (>= 2.6),
+ monodevelop-nunit (>= 2.6)
 Standards-Version: 3.9.2
 Homepage: http://www.monodevelop.com/
 Vcs-Git: git://git.debian.org/git/pkg-cli-apps/monodevelop-debugger-gdb.git

=== debian/watch ===
version=2
opts=dversionmangle=s/\+dfsg// \
	http://download.mono-project.com/sources/monodevelop-debugger-gdb/monodevelop-debugger-gdb-([\d\.]+)\.tar\.gz

## monodevelop-debugger-gdb 2.8.2

=== debian/changelog ===
monodevelop-debugger-gdb (2.8.2-1) experimental; urgency=low

  * [07a4872] Switch to bz2, not gz, for orig tarball.
  * [3716db7] Imported Upstream version 2.8.2
  * [4cab25d] Bump binary dependency to MonoDevelop 2.8.2.
  * [576aea0] Bump build-dependency to MonoDevelop 2.8.2.

 -- Jo Shields <directhex@apebox.org>  Thu, 10 Nov 2011 17:38:21 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
  mono-devel (>= 2.10),
- monodevelop (>= 2.6),
- monodevelop-versioncontrol (>= 2.6),
- monodevelop-nunit (>= 2.6)
+ monodevelop (>= 2.8.2),
+ monodevelop-versioncontrol (>= 2.8.2),
+ monodevelop-nunit (>= 2.8.2)
 Standards-Version: 3.9.2
 Homepage: http://www.monodevelop.com/
 Vcs-Git: git://git.debian.org/git/pkg-cli-apps/monodevelop-debugger-gdb.git

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

MAKEFILE = $(firstword $(MAKEFILE_LIST))
DEBIAN_DIR = $(dir $(MAKEFILE))
SOURCE_DIR = $(DEBIAN_DIR)/..

DEB_VERSION = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Version | cut -d" " -f2)   
DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)
VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')

MDVERSION = 2.8.2

include /usr/share/cli-common/cli.make

override_dh_gencontrol:
	dh_gencontrol -i -- -Vmisc:Version=$(MDVERSION)

override_dh_auto_configure:
	./configure --prefix=/usr

override_dh_auto_clean:
	./configure --clean-only
	dh_clean
	rm -f config.log config.make

get-orig-source:
	uscan \
		--package $(DEB_SOURCE_NAME) \
		--watchfile $(DEBIAN_DIR)/watch \
		--upstream-version $(VERSION) \
		--download-version $(VERSION) \
		--destdir . \
		--force-download \
		--rename

%:
	dh $@

.PHONY: get-orig-source

## monodevelop-debugger-gdb 2.8.5

=== debian/changelog ===
monodevelop-debugger-gdb (2.8.5-2) unstable; urgency=low

  * [97cdaa0] Remove gbp.conf since we're using master branch now
  * [a257fbd] Update debian/rules for DH8-compatible "--with cli"

 -- Jo Shields <directhex@apebox.org>  Fri, 20 Jan 2012 10:59:00 +0000

monodevelop-debugger-gdb (2.8.5-1) experimental; urgency=low

  * [008c74a] Imported Upstream version 2.8.5
  * [74bd15b] Bump build dependencies to MonoDevelop 2.8.5.
  * [0272fa8] Bump binary dependencies to MonoDevelop 2.8.5.

 -- Jo Shields <directhex@apebox.org>  Mon, 19 Dec 2011 15:26:09 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
  mono-devel (>= 2.10),
- monodevelop (>= 2.8.2),
- monodevelop-versioncontrol (>= 2.8.2),
- monodevelop-nunit (>= 2.8.2)
+ monodevelop (>= 2.8.5),
+ monodevelop-versioncontrol (>= 2.8.5),
+ monodevelop-nunit (>= 2.8.5)
 Standards-Version: 3.9.2
 Homepage: http://www.monodevelop.com/
 Vcs-Git: git://git.debian.org/git/pkg-cli-apps/monodevelop-debugger-gdb.git

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,7 @@
 DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)
 VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')
 
-MDVERSION = 2.8.2
-
-include /usr/share/cli-common/cli.make
+MDVERSION = 2.8.5
 
 override_dh_gencontrol:
 	dh_gencontrol -i -- -Vmisc:Version=$(MDVERSION)
@@ -35,6 +33,6 @@
 		--rename
 
 %:
-	dh $@
+	dh $@ --with cli
 
 .PHONY: get-orig-source

## monodevelop-debugger-gdb 2.8.6.3

=== debian/changelog ===
monodevelop-debugger-gdb (2.8.6.3-1) unstable; urgency=low

  * [73adc5e] Imported Upstream version 2.8.6.3
  * [dc1e0a8] Bump Monodevelop version requirements to 2.8.6.3

 -- Jo Shields <directhex@apebox.org>  Sun, 05 Feb 2012 11:23:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
  mono-devel (>= 2.10),
- monodevelop (>= 2.8.5),
- monodevelop-versioncontrol (>= 2.8.5),
- monodevelop-nunit (>= 2.8.5)
+ monodevelop (>= 2.8.6.3),
+ monodevelop-versioncontrol (>= 2.8.6.3),
+ monodevelop-nunit (>= 2.8.6.3)
 Standards-Version: 3.9.2
 Homepage: http://www.monodevelop.com/
 Vcs-Git: git://git.debian.org/git/pkg-cli-apps/monodevelop-debugger-gdb.git

## monodevelop-debugger-gdb 3.0.2

=== debian/changelog ===
monodevelop-debugger-gdb (3.0.2-1) unstable; urgency=low

  * [afa0d65] Imported Upstream version 3.0.2
  * [3409b15] Bump MonoDevelop version requirement.

 -- Jo Shields <directhex@apebox.org>  Sun, 27 May 2012 18:27:41 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
  mono-devel (>= 2.10),
- monodevelop (>= 2.8.6.3),
- monodevelop-versioncontrol (>= 2.8.6.3),
- monodevelop-nunit (>= 2.8.6.3)
+ monodevelop (>= 3.0.2),
+ monodevelop-versioncontrol (>= 3.0.2),
+ monodevelop-nunit (>= 3.0.2)
 Standards-Version: 3.9.2
 Homepage: http://www.monodevelop.com/
 Vcs-Git: git://git.debian.org/git/pkg-cli-apps/monodevelop-debugger-gdb.git

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)
 VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')
 
-MDVERSION = 2.8.5
+MDVERSION = 3.0.2
 
 override_dh_gencontrol:
 	dh_gencontrol -i -- -Vmisc:Version=$(MDVERSION)

## monodevelop-debugger-gdb 3.0.3.2

=== debian/changelog ===
monodevelop-debugger-gdb (3.0.3.2-1) unstable; urgency=low

  * [6c614ea] Imported Upstream version 3.0.3.2
  * [b8ba7d3] Bump required MonoDevelop version to 3.0.3.2.
  * [9dc0e1b] Delete RPM spec file in clean rule, since configure generates it.

 -- Jo Shields <directhex@apebox.org>  Sat, 23 Jun 2012 04:33:32 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
  mono-devel (>= 2.10),
- monodevelop (>= 3.0.2),
- monodevelop-versioncontrol (>= 3.0.2),
- monodevelop-nunit (>= 3.0.2)
+ monodevelop (>= 3.0.3.2),
+ monodevelop-versioncontrol (>= 3.0.3.2),
+ monodevelop-nunit (>= 3.0.3.2)
 Standards-Version: 3.9.2
 Homepage: http://www.monodevelop.com/
 Vcs-Git: git://git.debian.org/git/pkg-cli-apps/monodevelop-debugger-gdb.git

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)
 VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')
 
-MDVERSION = 3.0.2
+MDVERSION = 3.0.3.2
 
 override_dh_gencontrol:
 	dh_gencontrol -i -- -Vmisc:Version=$(MDVERSION)
@@ -20,7 +20,7 @@
 override_dh_auto_clean:
 	./configure --clean-only
 	dh_clean
-	rm -f config.log config.make
+	rm -f config.log config.make monodevelop-debugger-gdb.spec
 
 get-orig-source:
 	uscan \

=== debian/watch ===
version=2
opts=dversionmangle=s/\+dfsg// \
	http://download.mono-project.com/sources/monodevelop-debugger-gdb/monodevelop-debugger-gdb-([\d\.]+)\.tar\.bz2

## monodevelop-debugger-gdb 4.0.12

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-EXTRA_DIST = MonoDevelop.Debugger.Gdb.make rules.make configure Makefile.include
+EXTRA_DIST = MonoDevelop.Debugger.Gdb.make rules.make configure Makefile.include monodevelop-debugger-gdb.spec.in
 
 all: all-recursive

=== debian/changelog ===
monodevelop-debugger-gdb (4.0.12-1) unstable; urgency=low

  * [3e33bfb] Fix debian/watch for new upstream tarball naming scheme
  * [4958ff8] Imported Upstream version 4.0.12 (Closes: #708805)
  * [8f7621e] Build-Depend on corresponding version of MonoDevelop
  * [164bf52] delete monodevelop-debugger-gdb.spec in clean rule
  * [6d4c074] Set package dependencies to MD 4.0.12 (Closes: #710761)

 -- Jo Shields <directhex@apebox.org>  Thu, 10 Oct 2013 15:25:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
  mono-devel (>= 2.10),
- monodevelop (>= 3.0.3.2),
- monodevelop-versioncontrol (>= 3.0.3.2),
- monodevelop-nunit (>= 3.0.3.2)
+ monodevelop (>= 4.0.12),
+ monodevelop-versioncontrol (>= 4.0.12),
+ monodevelop-nunit (>= 4.0.12)
 Standards-Version: 3.9.2
 Homepage: http://www.monodevelop.com/
 Vcs-Git: git://git.debian.org/git/pkg-cli-apps/monodevelop-debugger-gdb.git

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)
 VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')
 
-MDVERSION = 3.0.3.2
+MDVERSION = 4.0.12
 
 override_dh_gencontrol:
 	dh_gencontrol -i -- -Vmisc:Version=$(MDVERSION)

=== debian/watch ===
version=2
opts=dversionmangle=s/\+dfsg// \
	http://download.mono-project.com/sources/monodevelop-debugger-gdb/monodevelop-debugger-gdb-([\d\.]+)-([\d\.]+)\.tar\.bz2
